<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Parameter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A parameter in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2471c073073ece76736aacd122ad38c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a2471c073073ece76736aacd122ad38c4">Parameter</a> ()</td></tr>
<tr class="separator:a2471c073073ece76736aacd122ad38c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf05fdf937f8f8ad268b66a01c7e3720"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#aaf05fdf937f8f8ad268b66a01c7e3720">Parameter</a> (string name, string type=default, object defVal=default)</td></tr>
<tr class="separator:aaf05fdf937f8f8ad268b66a01c7e3720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61e44db374454add0e25d44e0f125c25"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a61e44db374454add0e25d44e0f125c25">WithName</a> (string name)</td></tr>
<tr class="separator:a61e44db374454add0e25d44e0f125c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a364efcb7adabe7f870b7c4405d143581"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a364efcb7adabe7f870b7c4405d143581">WithType</a> (string type)</td></tr>
<tr class="separator:a364efcb7adabe7f870b7c4405d143581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849fc8e3045bd4a695b9ee48c7973cc7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a849fc8e3045bd4a695b9ee48c7973cc7">WithDefVal</a> (object defVal)</td></tr>
<tr class="separator:a849fc8e3045bd4a695b9ee48c7973cc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:aa35c189d7ffa17c4ae44a6e890c5819b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#aa35c189d7ffa17c4ae44a6e890c5819b">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:aa35c189d7ffa17c4ae44a6e890c5819b"><td class="mdescLeft">&#160;</td><td class="mdescRight">name of the parameter  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#aa35c189d7ffa17c4ae44a6e890c5819b">More...</a><br /></td></tr>
<tr class="separator:aa35c189d7ffa17c4ae44a6e890c5819b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f3148e4852172ee3be77b0ea89e64d6"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a0f3148e4852172ee3be77b0ea89e64d6">Type</a><code> [get]</code></td></tr>
<tr class="memdesc:a0f3148e4852172ee3be77b0ea89e64d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the parameter  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a0f3148e4852172ee3be77b0ea89e64d6">More...</a><br /></td></tr>
<tr class="separator:a0f3148e4852172ee3be77b0ea89e64d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747f5e201d28518cc1621bfe21b9d752"><td class="memItemLeft" align="right" valign="top">object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a747f5e201d28518cc1621bfe21b9d752">DefVal</a><code> [get]</code></td></tr>
<tr class="memdesc:a747f5e201d28518cc1621bfe21b9d752"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a747f5e201d28518cc1621bfe21b9d752">More...</a><br /></td></tr>
<tr class="separator:a747f5e201d28518cc1621bfe21b9d752"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A parameter in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2471c073073ece76736aacd122ad38c4" name="a2471c073073ece76736aacd122ad38c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2471c073073ece76736aacd122ad38c4">&#9670;&nbsp;</a></span>Parameter() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.Parameter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf05fdf937f8f8ad268b66a01c7e3720" name="aaf05fdf937f8f8ad268b66a01c7e3720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf05fdf937f8f8ad268b66a01c7e3720">&#9670;&nbsp;</a></span>Parameter() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.Parameter </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em> = <code>default</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>defVal</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a849fc8e3045bd4a695b9ee48c7973cc7" name="a849fc8e3045bd4a695b9ee48c7973cc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a849fc8e3045bd4a695b9ee48c7973cc7">&#9670;&nbsp;</a></span>WithDefVal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.WithDefVal </td>
          <td>(</td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>defVal</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61e44db374454add0e25d44e0f125c25" name="a61e44db374454add0e25d44e0f125c25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61e44db374454add0e25d44e0f125c25">&#9670;&nbsp;</a></span>WithName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.WithName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a364efcb7adabe7f870b7c4405d143581" name="a364efcb7adabe7f870b7c4405d143581"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a364efcb7adabe7f870b7c4405d143581">&#9670;&nbsp;</a></span>WithType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.WithType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a747f5e201d28518cc1621bfe21b9d752" name="a747f5e201d28518cc1621bfe21b9d752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a747f5e201d28518cc1621bfe21b9d752">&#9670;&nbsp;</a></span>DefVal</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">object xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.DefVal</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default value </p>

</div>
</div>
<a id="aa35c189d7ffa17c4ae44a6e890c5819b" name="aa35c189d7ffa17c4ae44a6e890c5819b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa35c189d7ffa17c4ae44a6e890c5819b">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>name of the parameter </p>

</div>
</div>
<a id="a0f3148e4852172ee3be77b0ea89e64d6" name="a0f3148e4852172ee3be77b0ea89e64d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f3148e4852172ee3be77b0ea89e64d6">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Parameter.Type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Type of the parameter </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_parameter_8cs.html">Parameter.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
